# Source code for azure.mgmt.imagebuilder._configuration

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------
    from msrestazure import AzureConfiguration

    from .version import VERSION

    class ImageBuilderClientConfiguration(AzureConfiguration):
        """Configuration for ImageBuilderClient
        Note that all parameters used to create this instance are saved as instance
        attributes.

        :param credentials: Credentials needed for the client to connect to Azure.
        :type credentials: :mod:`A msrestazure Credentials
         object<msrestazure.azure_active_directory>`
        :param subscription_id: Subscription credentials which uniquely identify
         Microsoft Azure subscription. The subscription Id forms part of the URI
         for every service call.
        :type subscription_id: str
        :param str base_url: Service URL
        """

        def __init__(
                self, credentials, subscription_id, base_url=None):

            if credentials is None:
                raise ValueError("Parameter 'credentials' must not be None.")
            if subscription_id is None:
                raise ValueError("Parameter 'subscription_id' must not be None.")
            if not base_url:
                base_url = 'https://management.azure.com'

            super(ImageBuilderClientConfiguration, self).__init__(base_url)

            # Starting Autorest.Python 4.0.64, make connection pool activated by default
            self.keep_alive = True

            self.add_user_agent('azure-mgmt-imagebuilder/{}'.format(VERSION))
            self.add_user_agent('Azure-SDK-For-Python')

            self.credentials = credentials
            self.subscription_id = subscription_id